          COMPLEX FUNCTION CLADIV( X, Y )
    *
    *  -- LAPACK auxiliary routine (version 3.1) --
    *     Univ. of Tennessee, Univ. of California Berkeley and NAG Ltd..
    *     November 2006
    *
    *     .. Scalar Arguments ..
          COMPLEX            X, Y
    *     ..
    *
    *  Purpose
    *  =======
    *
    *  CLADIV := X / Y, where X and Y are complex.  The computation of X / Y
    *  will not overflow on an intermediary step unless the results
    *  overflows.
    *
    *  Arguments
    *  =========
    *
    *  X       (input) COMPLEX
    *  Y       (input) COMPLEX
    *          The complex scalars X and Y.
    *
    *  =====================================================================
    *
    *     .. Local Scalars ..
          REAL               ZI, ZR
    *     ..
    *     .. External Subroutines ..
          EXTERNAL           SLADIV
    *     ..
    *     .. Intrinsic Functions ..
          INTRINSIC          AIMAG, CMPLX, REAL
    *     ..
    *     .. Executable Statements ..
    *
          CALL SLADIV( REAL( X ), AIMAG( X ), REAL( Y ), AIMAG( Y ), ZR,
         $             ZI )
          CLADIV = CMPLX( ZR, ZI )
    *
          RETURN
    *
    *     End of CLADIV
    *
          END